%define major		3.1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		xerces-c
Epoch:		1
Version:	3.1.2
%define subrel	2
Release:	%mkrel 1
Summary:	Xerces-C++ validating XML parser
License:	Apache
Group:		System/Libraries
URL:		http://xerces.apache.org/xerces-c/
Source0:	http://apache.mirrors.ovh.net/ftp.apache.org/dist//xerces/c/3/sources/%{name}-%{version}.tar.xz
Patch0:		xerces-c-3.1.2-CVE-2016-0729.patch
Patch1:		xerces-c-3.1.3-CVE-2016-2099.patch
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	libicu-devel
BuildRequires:	icu

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package -n	%{libname}
Summary:	Xerces-c library
Group:		System/Libraries

%description -n %{libname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the shared xerces-c library.

%package -n	%{develname}
Summary:	Header files for Xerces-C++ validating XML parser
Group:		Development/C++
Requires:	%{libname} >= %{epoch}:%{version}-%{release}
Provides:	xerces-c-devel = %{epoch}:%{version}-%{release}
Provides:	libxerces-c-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{mklibname xerces-c 0 -d}
Conflicts:	%{mklibname xerces-c 28 -d}

%description -n	%{develname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains development files such as header files you can use to
develop XML applications with Xerces-C++.

%package	doc
Summary:	Documentation for Xerces-C++ validating XML parser
Group:		Documentation
BuildArch:	noarch
Obsoletes:	xerces-c-manual

%description	doc
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the documentation for Xerces-C++.

%prep
%setup -q
%patch0 -p4
%patch1 -p1

%build
#rm -f config.cache
#libtoolize --copy --force; aclocal -I m4; autoheader; automake -a -c -f; autoconf

%configure2_5x \
    --disable-static \
    --enable-netaccessor-curl \
    --enable-transcoder-icu \
%ifarch %{ix86}
    --disable-sse2 \
%endif
    --enable-msgloader-icu
%make

# disable tests for now
#%%check
#make check

%install
%makeinstall_std

# cleanup
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{major}.so

%files -n %{develname}
%{_includedir}/xercesc
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc CREDITS LICENSE doc/*


%changelog
* Wed May 18 2016 luigiwalser <luigiwalser> 1:3.1.2-1.2.mga5
+ Revision: 1016820
- add patch from debian to fix CVE-2016-2099
- add upstream patch to fix CVE-2016-0729

* Fri Mar 20 2015 daviddavid <daviddavid> 1:3.1.2-1.mga5
+ Revision: 819021
- new version: 3.1.2, fix CVE-2015-0252 (mga#15538)
- update Url and Source Url

* Wed Oct 15 2014 umeabot <umeabot> 1:3.1.1-16.mga5
+ Revision: 746946
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.1.1-15.mga5
+ Revision: 690591
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 wally <wally> 1:3.1.1-14.mga5
+ Revision: 611826
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 1:3.1.1-13.mga4
+ Revision: 539176
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 1:3.1.1-12.mga4
+ Revision: 491538
- Disable tests

  + fwang <fwang>
    - rebuild for new icu

  + tv <tv>
    - rebuild for new icu

* Sun May 26 2013 fwang <fwang> 1:3.1.1-10.mga4
+ Revision: 427994
- rebuild for new icu

* Mon Jan 14 2013 umeabot <umeabot> 1:3.1.1-9.mga3
+ Revision: 386752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1:3.1.1-8.mga3
+ Revision: 316660
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1:3.1.1-7.mga3
+ Revision: 314778
- rebuild for new icu

* Sun Oct 14 2012 ennael <ennael> 1:3.1.1-6.mga3
+ Revision: 305617
- Documentation group

* Wed May 30 2012 fwang <fwang> 1:3.1.1-5.mga3
+ Revision: 249553
- rebuild for new icu

* Tue Jun 21 2011 fwang <fwang> 1:3.1.1-4.mga2
+ Revision: 111153
- rebuild for new icu

* Sat Jan 15 2011 ahmad <ahmad> 1:3.1.1-3.mga1
+ Revision: 19721
- drop old/unneeded scriptlets
- drop unused patch
- imported package xerces-c

